Bug 1542949 - Gnu free serif get selected for Devanagari text instead of Lohit
Summary: Gnu free serif get selected for Devanagari text instead of Lohit
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnu-free-fonts
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-07 12:38 UTC by Pravin Satpute
Modified: 2019-04-09 16:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-09 16:38:11 UTC


Attachments (Terms of Use)
Attachment showing wrong font selected text (268.36 KB, image/png)
2018-02-07 12:38 UTC, Pravin Satpute
no flags Details
Screenshot (190.28 KB, image/png)
2018-02-07 16:14 UTC, Gwyn Ciesla
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1463331 None None None 2019-04-09 16:31:22 UTC

Description Pravin Satpute 2018-02-07 12:38:16 UTC
Created attachment 1392651 [details]
Attachment showing wrong font selected text

Description of problem:
Gnu free serif get selected for Devanagari text instead of Lohit

Version-Release number of selected component (if applicable):
gnu-free-fonts-20120503-15.fc27.src.rpm

How reproducible:
Everytime.

Steps to Reproduce:
1. Open https://pravins.fedorapeople.org/test.html in Firefox.
2. Set encoding to Unicode if encoding issue. (View-> Text Encoding)
3. Inspect Element (Fonts -> Free Serif)
4. Same issue is appearing while viewing Devanagari content in Facebook and other sites as well.

Actual results:
Free Serif getting selected.

Expected results:
Lohit Devanagari

Additional info:
We have fixed this issue long time back https://bugzilla.redhat.com/show_bug.cgi?id=871252  but this is now regression.  We have added <minus> tag in gnu free fontconfig

Comment 1 Gwyn Ciesla 2018-02-07 16:14:44 UTC
Created attachment 1392779 [details]
Screenshot

This is what I currently see.

Comment 2 Akira TAGOH 2018-02-08 04:03:10 UTC
something might be changed in firefox to determine the language for the targeted characters. need to investigate.

Comment 3 Pravin Satpute 2018-03-26 05:30:00 UTC
This is somehow regression for https://bugzilla.redhat.com/show_bug.cgi?id=871252

Comment 4 Bhushan Barve 2018-07-24 08:04:36 UTC
Changing the version to F28.

Comment 5 Parag Nemade 2019-04-09 16:38:11 UTC
No longer reproducible.


Note You need to log in before you can comment on or make changes to this bug.